/* first reset all CSS to known state */

/* http://meyerweb.com/eric/tools/css/reset/
   v2.0 | 20110126
   License: none (public domain)
*/

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
menu,
nav,
section {
  display: block;
}

body {
  line-height: 1;
}

ol,
ul {
  list-style: none;
}

blockquote,
q {
  quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
  content: '';
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

.noselect {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

body {
  font-size: 18px;
  width: auto;
  margin: 0px;
  padding: 0px;
  background-image: url(imgs/starrynight.jpg);
  font-family: 'Arimo', sans-serif;
  /* not good for iPad overflow: hidden; */
}

/* unvisited link */
a:link {
  color: cyan;
}

/* visited link */
a:visited {
  color: cyan;
}

/* mouse over link */
a:hover {
  color: blue;
}

#learnMore {
  font-size: 10px;
  position: relative;
  top: -8px;
  left: 6px;
}

#subtitle {
  margin-top: 5px;
  font-size: 14px;
  font-family: 'Cousine', sans-serif;
  font-weight: 400;
  color: white;
}

#opener {
  font-size: 16px;
  line-height: 20px;
  padding: 10px;
}

h1 {
  font-size: 32px;
  font-family: 'Arimo', sans-serif;
  margin-bottom: 10px;
  margin-top: 10px;
}

h1~h1 {
  margin-top: 30px;
}

#badBrowser {
  position: absolute;
  top: 100px;
  left: 100px;
  height: auto;
  width: auto;
  padding: 25px;
  margin: 0px;
  overflow: hidden;
  display: none;
  color: white;
  background: black;
  border: 3px solid white;
  border-radius: 15px;
  z-index: 810;
}

#badBrowser h2 {
  margin-top: 10px;
  margin-bottom: 20px;
  font-size: 28px;
  z-index: 810;
}

#badBrowser h3 {
  margin-top: 20px;
  font-size: 20px;
  z-index: 810;
}

#badBrowser button {
  margin-top: 40px;
  font-size: 24px;
  z-index: 810;
}

#quickref {
  position: absolute;
  top: 0px;
  left: 0px;
  padding: 0px;
  margin: 0px;
  overflow-x: hidden;
  overflow-y: scroll;
  display: none;
  z-index: 810;
}

img#dismissHelp {
  position: fixed;
  left: 800px;
  top: 0px;
  z-index: 810;
}

img#dismissHelp:hover {
  cursor: pointer;
}

#closeQuickref {
  position: fixed;
  top: 10px;
  left: 745px;
  width: auto;
  height: auto;
  padding: 5px;
  margin: 0px;
  border: 2px solid limegreen;
  border-radius: 2px;
  color: black;
  background-color: lightgray;
  font-size: 24px;
  font-weight: bold;
  display: none;
  z-index: 810;
}

#closeQuickref:hover {
  cursor: pointer;
}

#gotoControls {
  position: absolute;
  top: 110px;
  left: 540px;
  width: 165px;
  height: 600px;
  padding: 0px;
  margin: 0px;
  border: 1px solid blue;
  color: transparent;
  background-color: transparent;
  display: none;
  z-index: 803;
}

#gotoControls:hover {
  cursor: pointer;
}

#opener a {
  color: blue;
}

#opener h2 {
  color: blue;
  font-size: 30px;
  font-weight: bold;
  line-height: 1.08;
}

#controlsDiv {
  /* note most styling done by datgui when created in document.ready */
  position: absolute;
  top: 270px;
  right: 10px;
  margin-top: auto;
  width: 250px;
  height: auto;
  z-index: 804;
}

#btns {
  background: black;
}

.dragDiv {
  font-size: 18px;
  text-align: center;
  height: 22px;
  color: #eeeeee;
  background: linear-gradient(to bottom,
      #333333,
      #333333 50%,
      #555555 50%,
      #555555);
  background-size: 100% 3px;
}

.dragDiv:hover {
  cursor: move;
}

#drawXPhasesDlg,
#terrainDlg {
  border: solid black 1px;
  border-radius: 3px;
  width: 400px;
  height: auto;
  line-height: 1.1em;
  background: #888888;
  position: absolute;
  left: 500px;
  left: calc(50% - 200px);
  top: 120px;
  z-index: 999;
  /* arb. large value for "in front" */
}


select#chosenXPhases {
  width: 90px;
}

#drawXPhasesControls,
#terrainDlgControls {
  padding: 0px 10px 10px 10px;
  margin-top: 5px;
}

#drawXPhasesControls select {
  font-size: 0.8em;
}

.smallerText {
  font-size: 0.7em;
}

.mediumText {
  font-size: 0.85em;
}

/* relaunch dialog will become URL builder soon: */
#relaunchControls {
  border: solid black 1px;
  border-radius: 3px;
  padding: 10px;
}

#relaunchForm>button:nth-child(2),
#relaunchForm>button:nth-child(3) {
  margin: 9px;
}

#latlons {
  padding: 4px;
  width: 100%;
}

#depthtime {
  padding: 4px;
  width: 100%;
}

/* the title across top of entire page, above earth: */

#titleDiv {
  text-align: center;
  margin-bottom: 10px;
}

span#title {
  font-size: 24px;
  color: cyan;
  margin-right: 8px;
}

span#date {
  margin-right: 8px;
  font-size: 18px;
  color: white;
}

span#mag {
  font-size: 18px;
  color: #f44;
}


div#rightCol {
  position: absolute;
  right: 10px;
  width: 250px;
  top: 0;
  z-index: 4;
  background-color: lightgrey;
}


#irisLogo {
}

#waveLegend {
  position: absolute;
  bottom: 10px;
  right: 270px;
  z-index: 808;
  cursor: move;
}

#waveLegend:hover #butlerImg {
  transition-delay: .3s;
  visibility: visible;
  opacity: 1;
}

#butlerImg {
  position: absolute;
  top: -470px;
  left: -460px;
  z-index: 804;
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s, opacity 0.3s linear;
}


#earthDiv {
  position: absolute;
  left: 50%;
  top: 0;
  background-color: transparent;
  height: auto;
  z-index: 2;
}

#earth {
  background-color: transparent;
  z-index: 2;
  cursor: pointer;
}

#earthDiv .bar {
  z-index: auto;
  height: 22px;
  background-color: transparent;
  text-align: center;
}

#earthDiv .bar>span {
  z-index: auto;
  position: relative;
  left: 25px;
  color: #eeeeee;
  padding-left: 50px;
  padding-right: 50px;
  font-size: 18px;
  background: linear-gradient(to bottom,
      #333333,
      #333333 50%,
      #555555 50%,
      #555555);
  background-size: 100% 3px;
  cursor: move;
}

#seismosDiv {
  border: none;
  display: inline-block;
  z-index: 801;
  overflow: hidden;
  text-align: center;
  position: relative;
  top: 0;
  left: 10px;
  font-size: 18px;
  color: #eeeeee;
  background: linear-gradient(to bottom,
      #333333,
      #333333 50%,
      #555555 50%,
      #555555);
  background-size: 100% 3px;
}

#seismosDiv:hover {
  cursor: move;
}

#draghint {
  position: relative;
  top: -8px;
  margin: 0px;
  padding: 0px;
  text-align: center;
  font-size: 16px;
  font-style: italic;
  color: blue;
}

#relaunchForm {
  padding: 1px;
  border-radius: 3px;
  font-family: 'Cousine', monospace;
  font-weight: bold;
  position: absolute;
  top: 500px;
  left: 30px;
}

#relaunchForm,
#mainform {
  background-color: gray;
  width: 300px;
  cursor: move;
}

#wikiIframe {
  width: 1200px;
  height: 600px;
  border: none;
  margin-left: 0px;
}

/* datgui related */
/* slightly larger text for all items in datgui menu: */
.dg ul {
  font-size: 14px;
  font-weight: normal;
}

.dg .boolean .property-name {
  float: none;
  width: unset;
}

.dg .boolean .c {
  width: unset;
  padding-right: 3px;
}

/* menu picks are function names, same thing,
   so li.cr.function selects the menu picks */
li.cr.function>div>span {
  width: 90%;
}

li.cr.function>div>span:hover {
  background-color: #444444;
}

#map {
  width: 100%;
  height: calc(100vh - 70px);
  position: absolute;
  top: 0px;
  z-index: 809;
}

#mapMsg {
  position: absolute;
  width: 500px;
  height: 22px;
  top: 350px;
  left: 120px;
  text-align: center;
  font-size: 20px;
  color: black;
  background-color: rgba(255, 255, 255, 0.0);
  z-index: 810;
}

#cancelPick {
  position: absolute;
  top: 5px;
  right: 5px;
  font-size: 18px;
  z-index: 99;
  padding: 3px 4px 0px 4px;
  z-index: 810;
}

.errorTxt {
  color: red;
  font-weight: bold;
}

.dimmed {
  opacity: 0.5;
}

.selected {
  font-weight: bold;
  font-style: italic;
  color: cyan;
}

.leaflet-popup-content {
  font-size: 18px;
  z-index: 812;
}

.leaflet-popup-content a {
  font-size: 24px;
  z-index: 812;
}

@keyframes gaudy {
  0% {
    background-color: transparent;
  }

  10% {
    background-color: red;
  }

  20% {
    background-color: transparent;
  }

  30% {
    background-color: red;
  }

  40% {
    background-color: transparent;
  }

  50% {
    background-color: red;
  }

  60% {
    background-color: transparent;
  }

  70% {
    background-color: red;
  }

  80% {
    background-color: transparent;
  }

  90% {
    background-color: red;
  }

  100% {
    background-color: transparent;
  }
}

@-webkit-keyframes gaudy {
  0% {
    background-color: transparent;
  }

  10% {
    background-color: red;
  }

  20% {
    background-color: transparent;
  }

  30% {
    background-color: red;
  }

  40% {
    background-color: transparent;
  }

  50% {
    background-color: red;
  }

  60% {
    background-color: transparent;
  }

  70% {
    background-color: red;
  }

  80% {
    background-color: transparent;
  }

  90% {
    background-color: red;
  }

  100% {
    background-color: transparent;
  }
}

/* Elements of this class get the gaudy animation */
.attentionHere {
  background-color: transparent;
  -webkit-animation-name: gaudy;
  /* Chrome, Safari, Opera */
  -webkit-animation-duration: 3s;
  /* Chrome, Safari, Opera */
  animation-name: gaudy;
  animation-duration: 3s;
}